<?php

namespace App\Modules\RoomPassenger\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface RoomPassengerRepository
{
    public function insert(RoomPassenger $route): IdRoomPassenger;
    public function update(RoomPassenger $route);
    public function find(StorageCriteria $action): RoomPassenger;
    public function search(StorageCriteria $action): array;
    public function list($idRoom);
}
